Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517926 - [RFE][CodeChange] Upgrade webpack and related tools
Summary: [RFE][CodeChange] Upgrade webpack and related tools
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: Build
Version: 1.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Scott Dickerson
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 17:20 UTC by Vojtech Szocs
Modified: 2019-01-18 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-02-28 16:56:40 UTC
oVirt Team: UX
gshereme: ovirt-4.3?
rule-engine: planning_ack?
gshereme: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 85684 master MERGED Upgrade to use webpack 3, karma 2, mocha 4 2018-01-19 17:31:00 UTC
oVirt gerrit 87135 master MERGED Upgrade to eslint 4 and fix new lint errors 2018-02-15 18:48:05 UTC

Description Vojtech Szocs 2017-11-27 17:20:55 UTC
oVirt Dashboard uses a very old version of webpack, v1 in fact. We should upgrade to webpack latest.

While relying on numerous webpack plugins, loaders and other webpack-related tools, the potential of "X doesn't support old webpack version" grows higher with time.

This should also be an opportunity to check & version-bump tools like Babel, ESLint, etc.

Comment 1 Scott Dickerson 2018-02-04 22:15:15 UTC
Adding a 2nd patch to update eslint to version 4 and fix the lint error that come with it.

Comment 2 Sandro Bonazzola 2019-01-18 15:46:16 UTC
ovirt-engine-dashboard is not included in 4.3.0, resetting target milestone.


Note You need to log in before you can comment on or make changes to this bug.